header {
  padding: 1rem 1.5rem 1rem 0.5rem !important;
}
.logo-holder {
  display: flex !important;
}

.form-section {
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(to right, #3a1149, #ce94b8);
  background-size: cover;
  padding: 0;
  box-sizing: border-box;
}
.blurer {
  display: flex;
  align-items: center;
  justify-content: center;

  padding: 20vh 0;
  width: 100%;
}
form {
  display: flex;
  flex-direction: column;
  width: clamp(250px, 90%, 500px);
  gap: 0;
  background: hsl(0, 0%, 100%, 20%);
  backdrop-filter: blur(10px);
  border: 1px solid hsl(0, 0%, 100%, 50%);
  padding: 2rem 1.5rem;
  box-sizing: border-box;
  border-radius: 20px;
  box-shadow: 0 0 10px 5px hsl(0, 0%, 100%, 30%);
}
.form-headings > img {
  width: 100px;
  margin: 0 auto;
  padding: 10px;
  background: hsl(0, 0%, 100%, 20%);
  border: 1px solid hsl(0, 0%, 100%, 20%);
  border-radius: 50%;
  box-shadow: 0 0 10px 5px hsl(0, 0%, 100%, 30%);
}
.form-headings {
  text-align: center;
  padding: 0 1rem;
  box-sizing: border-box;
  color: var(--font-color-2);
  margin: 0 0 3rem 0;
}
.form-headings > p {
  padding-bottom: 2rem;
  color: hsl(0, 0%, 100%, 70%);
  border-bottom: 1px solid hsl(0, 0%, 100%, 30%);
}
.section-headigns {
  font-weight: bold;
  color: var(--font-color-2) !important;
}
input,
textarea {
  background-color: hsl(0, 0%, 100%, 20%);
  box-shadow: var(--shadow-soft);
  box-sizing: border-box;
  padding: 15px;
  font-size: 1rem;
  border: 1px solid hsl(0, 0%, 100%, 50%);
  border-radius: 10px;
  color: var(--font-color-2);
  resize: none;
}
fieldset {
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.form-label {
  align-self: flex-start;
  color: var(--font-color-2);
  font-size: 0.95rem;
  /* margin-bottom: -0.5rem; */
}
.form-label span {
  color: hsl(0, 0%, 100%, 70%);
  font-weight: 400;
}
textarea {
  margin: 1rem 0 2rem 0;
}
input::placeholder,
textarea::placeholder {
  color: hsl(0, 0%, 100%, 50%);
}
input:focus,
textarea:focus {
  outline: none;
  border-color: var(--color-accent-third);
}
.names {
  gap: 1rem;
  border: none;
  grid-template-columns: 1fr 1fr;
}
.names > input {
  min-width: 100px;
  width: 100%;
}
.classes,
.subjects {
  background-color: rgb(255, 255, 255);
  padding: 1rem;
  border-radius: 10px;
  gap: 1.5rem;
  border: 1px gray solid;
}
.classes > span,
.subjects > span {
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--color-accent-primary);
}
.classes > div,
.subjects > div {
  gap: 5px;
}
.classes > div label,
.subjects > div label {
  display: flex;
  align-items: center;
  gap: 4px;
  background-color: rgb(233, 233, 233);
  padding: 8px 10px;
  border-radius: 10px;
  color: rgb(0, 0, 0);
  border: 2px solid transparent;
  cursor: pointer;
  user-select: none;
  font-weight: bold;
  box-shadow: var(--shadow-soft);
}
input[type="checkbox"],
input[type="radio"] {
  accent-color: var(--color-accent-third);
}
.checkable:has(input:checked) {
  border-color: var(--color-accent-third);
}
.Submit-form {
  cursor: pointer;
  background-color: #b1558e;
  border: 1px solid hsl(0, 0%, 100%, 30%);

  font-size: 1.2rem;
  color: white;
  font-weight: bold;
  border-radius: inherit;
  padding: 10px 0;
  transition: transform 0.3s ease;
}
.Submit-form:hover {
  opacity: 0.8;
}
.Submit-form:active {
  transform: scale(0.9);
}
#sub-error {
  font-size: 1rem;
  color: rgb(255, 65, 65);
  display: none;
}
textarea::-webkit-scrollbar {
  display: none;
}
.back-to-home {
  color: var(--font-color-2);
  border: 2px solid var(--color-accent-third);
  background-color: var(--col-acc-trd-low);
  padding: 5px 10px;
  border-radius: 15px;
  user-select: none;
  text-decoration: none;
}
